com.amazon.redshift.jdbc

## Class MetadataServerAPIHelper

- java.lang.Object
- - com.amazon.redshift.jdbc.MetadataAPIHelper
  - - com.amazon.redshift.jdbc.MetadataServerAPIHelper

    public class MetadataServerAPIHelper
    extends MetadataAPIHelper

### Nested Class Summary

### Nested classes/interfaces inherited from class com.amazon.redshift.jdbc.MetadataAPIHelper

`MetadataAPIHelper.enumFunc<T extends Enum<T>>, MetadataAPIHelper.GetCatalogs_Metadata, MetadataAPIHelper.GetColumns_Metadata, MetadataAPIHelper.GetSchemas_Metadata, MetadataAPIHelper.GetTables_Metadata`

### Field Summary

### Fields inherited from class com.amazon.redshift.jdbc.MetadataAPIHelper

`connection, GET_CATALOGS_COLS, GET_COLUMNS_COLS, GET_SCHEMAS_COLS, GET_TABLES_COLS, SHOW_COLUMNS_CHARACTER_MAXIMUM_LENGTH, SHOW_COLUMNS_COLUMN_DEFAULT, SHOW_COLUMNS_COLUMN_NAME, SHOW_COLUMNS_DATA_TYPE, SHOW_COLUMNS_DATABASE_NAME, SHOW_COLUMNS_IS_NULLABLE, SHOW_COLUMNS_NUMERIC_PRECISION, SHOW_COLUMNS_NUMERIC_SCALE, SHOW_COLUMNS_ORDINAL_POSITION, SHOW_COLUMNS_REMARKS, SHOW_COLUMNS_SCHEMA_NAME, SHOW_COLUMNS_TABLE_NAME, SHOW_DATABASES_DATABASE_NAME, SHOW_SCHEMAS_DATABASE_NAME, SHOW_SCHEMAS_SCHEMA_NAME, SHOW_TABLES_DATABASE_NAME, SHOW_TABLES_REMARKS, SHOW_TABLES_SCHEMA_NAME, SHOW_TABLES_TABLE_NAME, SHOW_TABLES_TABLE_TYPE, SQL_PREP_SHOWCOLUMNS, SQL_PREP_SHOWDATABASES, SQL_PREP_SHOWDATABASESLIKE, SQL_PREP_SHOWSCHEMAS, SQL_PREP_SHOWSCHEMASLIKE, SQL_PREP_SHOWTABLES, SQL_SHOWCOLUMNS, SQL_SHOWCOLUMNSLIKE, SQL_SHOWDATABASES, SQL_SHOWDATABASESLIKE, SQL_SHOWSCHEMAS, SQL_SHOWSCHEMASLIKE, SQL_SHOWTABLES, SQL_SHOWTABLESLIKE`

### Constructor Summary

Constructors
Constructor and Description
`MetadataServerAPIHelper(RedshiftConnectionImpl connection)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected ResultSet` `callShowColumns(String catalog, String schema, String table, String column)`
`protected ResultSet` `callShowSchemas(String catalog, String schema)`
`protected ResultSet` `callShowTables(String catalog, String schema, String table)`
`protected List<String>` `getCatalogList(String catalog, boolean isSingleDatabaseMetaData)`
`protected ResultSet` `getCatalogsServerAPI(String catalog)`
`protected List<ResultSet>` `getColumnsServerAPI(String catalog, String schemaPattern, String tableNamePattern, String columnNamePattern, boolean retEmpty, boolean isSingleDatabaseMetaData)`
`protected List<ResultSet>` `getSchemasServerAPI(String catalog, String schemaPattern, boolean retEmpty, boolean isSingleDatabaseMetaData)`
`protected List<ResultSet>` `getTablesServerAPI(String catalog, String schemaPattern, String tableNamePattern, boolean retEmpty, boolean isSingleDatabaseMetaData)`

### Methods inherited from class com.amazon.redshift.jdbc.MetadataAPIHelper

`checkNameIsExactName, checkNameIsNotPattern, createEmptyRs, createMetaDataPreparedStatement, createMetaDataStatement, createNullRs, createRs, encodeStr, getAutoIncrement, getColumnSize, getDecimalDigit, getEmptyTuple, getEmptyTupleList, getField, getNullable, getNullTuple, getNullTupleList, getNumPrefixRadix, getRSType, getSQLType, runQuery`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MetadataServerAPIHelper

    public MetadataServerAPIHelper(RedshiftConnectionImpl connection)

### Method Detail

#### getCatalogsServerAPI

    protected ResultSet getCatalogsServerAPI(String catalog)
                                      throws SQLException

Throws:
  `SQLException`

#### getSchemasServerAPI

    protected List<ResultSet> getSchemasServerAPI(String catalog,
                                                  String schemaPattern,
                                                  boolean retEmpty,
                                                  boolean isSingleDatabaseMetaData)
                                           throws SQLException

Throws:
  `SQLException`

#### getTablesServerAPI

    protected List<ResultSet> getTablesServerAPI(String catalog,
                                                 String schemaPattern,
                                                 String tableNamePattern,
                                                 boolean retEmpty,
                                                 boolean isSingleDatabaseMetaData)
                                          throws SQLException

Throws:
  `SQLException`

#### getColumnsServerAPI

    protected List<ResultSet> getColumnsServerAPI(String catalog,
                                                  String schemaPattern,
                                                  String tableNamePattern,
                                                  String columnNamePattern,
                                                  boolean retEmpty,
                                                  boolean isSingleDatabaseMetaData)
                                           throws SQLException

Throws:
  `SQLException`

#### getCatalogList

    protected List<String> getCatalogList(String catalog,
                                          boolean isSingleDatabaseMetaData)
                                   throws SQLException

Throws:
  `SQLException`

#### callShowSchemas

    protected ResultSet callShowSchemas(String catalog,
                                        String schema)
                                 throws SQLException

Throws:
  `SQLException`

#### callShowTables

    protected ResultSet callShowTables(String catalog,
                                       String schema,
                                       String table)
                                throws SQLException

Throws:
  `SQLException`

#### callShowColumns

    protected ResultSet callShowColumns(String catalog,
                                        String schema,
                                        String table,
                                        String column)
                                 throws SQLException

Throws:
  `SQLException`